# CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination > Struct Template Reference

## Public Types
typedef CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination > | Types
typedef Tpf_ | Tpf
typedef CFollowTrackRoad | TrackFollower
typedef Tnode_list | NodeList
typedef RoadVehicle | VehicleType
typedef CYapfBaseT< Types > | PfBase
typedef CYapfFollowRoadT< Types > | PfFollow
typedef CYapfOriginTileT< Types > | PfOrigin
typedef Tdestination< Types > | PfDestination
typedef CYapfSegmentCostCacheNoneT < Types > | PfCache
typedef CYapfCostRoadT< Types > | PfCost

## Detailed Description

### template<class Tpf_, class Tnode_list, template< class Types > class Tdestination>
struct CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >

Definition at line 445 of file yapf_road.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_road.cpp